// MotorThreadController.h: Schnittstelle für die Klasse MotorThreadController.
//
//////////////////////////////////////////////////////////////////////

#ifndef MOTORTHREADCONTROLLER_H
#define MOTORTHREADCONTROLLER_H


#include <qthread.h>
#include <qlist.h>
class AMCMirrorPanel;

class MotorThreadController : public QThread
{
public:
	MotorThreadController( QList<AMCMirrorPanel>& p_qlPanels, QObject* p_pReceiver  );
	virtual ~MotorThreadController();

protected:
	void run();
private:
	QList<AMCMirrorPanel> m_qlPanels;
	QObject*							m_pReceiver;
};

#endif
